﻿using NUnit.Framework;
using TechTalk.SpecFlow;
using WpfWithBdd.App;
using Ninject;

namespace WpfWithBdd.SpecFlow
{
    [Binding]
    class CalculatorSteps
    {
        private readonly StandardKernel _kernel = new StandardKernel();

        private ICalculator _calc;
        private int _lastResult;

        public CalculatorSteps()
        {
            _kernel.Bind<ICalculator>().To<Calculator>();
        }

        [Given(@"a calculator")]
        public void GivenACalculator()
        {
           _calc = _kernel.Get<ICalculator>();
        }

        [When(@"I sum (\d+) and (\d+)")]
        public void WhenISum(int num1, int num2)
        {
            _lastResult = _calc.Sum(num1, num2);
        }

        [Then(@"the result should be (\d+)")]
        public void ThenTheResultShouldBe(int result)
        {
            Assert.AreEqual(result, _lastResult);
        }
    }
}